<html>
<head>
    <title>PHP test</title>
</head>
<body>
<pre>
    <?php
    require 'signer.php';
    $signer = new Signer();
    //Set the AK/SK to sign and authenticate the request.
    // 认证用的ak和sk硬编码到代码中或者明文存储都有很大的安全风险，建议在配置文件或者环境变量中密文存放，使用时解密，确保安全；
    // 本示例以ak和sk保存在环境变量中为例，运行本示例前请先在本地环境中设置环境变量HUAWEICLOUD_SDK_AK和HUAWEICLOUD_SDK_SK。
    $signer->Key = getenv('HUAWEICLOUD_SDK_AK');
    $signer->Secret = getenv('HUAWEICLOUD_SDK_SK');

    //The following example shows how to set the request URL and parameters to query a VPC list.
    //Specify a request method, such as GET, PUT, POST, DELETE, HEAD, and PATCH.
    //Set request Endpoint.
    //Set request URI.
    //Set parameters for the request URL.
    $req = new Request('GET', 'https://endpoint.example.com/v1/77b6a44cba5143ab91d13ab9a8ff44fd/vpcs?limit=1');
    //Add header parameters, for example, x-domain-id for invoking a global service and x-project-id for invoking a project-level service.
    $req->headers = array(
        'content-type' => 'application/json',
    );
    //Add a body if you have specified the PUT or POST method. Special characters, such as the double quotation mark ("), contained in the body must be escaped.
    $req->body = '';
    $curl = $signer->Sign($req);

    var_dump($req->headers);
    echo "--------------\n";
    $response = curl_exec($curl);
    $status = curl_getinfo($curl, CURLINFO_HTTP_CODE);
    if ($status == 0) {
        echo curl_error($curl);
    } else {
        echo $status . "\n";
        echo $response;
    }
    curl_close($curl);
    ?>
</pre>
</body>
</html>